html {
  scroll-behavior: smooth;
}

body {
  /* cinema black */
  background-color: #080808;
  overflow-x: hidden;
  color: #F0F0F0;
}

a {
  text-decoration: none;
  line-height: 0;
}

/* CRT Scanline Effect */
.bg-scanlines {
  background-size: 100% 4px;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 40;
}

.text-stroke {
  color: transparent;
  -webkit-text-stroke: 1.5px white;
  /* adjust thickness */
}

/* Custom Scrollbar */
::-webkit-scrollbar {
  width: 6px;
}

::-webkit-scrollbar-track {
  background: #080808;
}

::-webkit-scrollbar-thumb {
  background: #333;
  border-radius: 3px;
}

.text-outline {
  -webkit-text-stroke: 1px rgba(255, 255, 255, 0.2);
  color: transparent;
}

/* Letterbox bars */
.letterbox {
  position: fixed;
  left: 0;
  width: 100%;
  height: 0;
  background: black;
  z-index: 100;
  transition: height 0.5s ease;
}

.letterbox-top {
  top: 0;
}

.letterbox-bottom {
  bottom: 0;
}

/* Project Page Scrollbar  */

.no-scrollbar::-webkit-scrollbar {
  display: none;
}

.no-scrollbar {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

/* Horizontal scrollbar styling */

.custom-scroll::-webkit-scrollbar {
  height: 6px;
  /* thin horizontal scrollbar */
}

.custom-scroll::-webkit-scrollbar-track {
  background: transparent;
}

.custom-scroll::-webkit-scrollbar-thumb {
  background-color: rgba(255, 255, 255, 0.7);
  border-radius: 999px;
}

.custom-scroll::-webkit-scrollbar-thumb:hover {
  background-color: rgba(255, 255, 255, 1);
}

/* Firefox */
.custom-scroll {
  scrollbar-width: thin;
  scrollbar-color: rgba(255, 255, 255, 0.7) transparent;
}